## dtk6widget 6.0.18

=== debian/changelog ===
dtk6widget (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6widget (6.0.17) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:02 +0000

dtk6widget (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:40 +0800

dtk6widget (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:16:14 +0800

dtk6widget (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:26:13 +0800

dtk6widget (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:57 +0800

dtk6widget (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:41 +0800

dtk6widget (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:53 +0800

dtk6widget (6.0.10) unstable; urgency=medium

  * 6.0.10

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:44:35 +0800

dtk6widget (6.0.9) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * chore: disable broken workflow

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 01 Apr 2024 14:47:27 +0800

dtk6widget (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:07:01 +0800

dtk6widget (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:31 +0800

dtk6widget (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:26 +0800

dtk6widget (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:38:42 +0800

dtk6widget (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:33:56 +0800

dtk6widget (6.0.0) unstable; urgency=medium

  * Release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 08:41:51 +0800

dtkwidget (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:19:50 +0800

dtkwidget (5.6.16) unstable; urgency=medium

  * feat: add ut_dpalettehelper
  * chore: add test for dwatermarkhelper
  * fix: update dependency libfreetype-dev

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:44 +0000

dtkwidget (5.6.15) unstable; urgency=medium

  * chore: remove useless files
  * feat: Add UT for DComboBox
  * doc: update docs for dfontcombobox 更新dfontcombobox的文档
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtooltip
    Thanks to syn(Issue: #94)
  * doc: update docs for dcircleprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcrumbedit
    Thanks to LyYeeeYuwu(Issue: #94)

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 14:03:59 +0800

dtkwidget (5.6.14) unstable; urgency=medium

  * fix: Button background lightness display error(Issue: #82)
  * doc: update docs for dpasswordedit
    Thanks to homehome(Task: 26)
  * doc: update docs for dtabbar
    Thanks to homehome(Issue: #94)
  * refactor!: deprecate some interfaces in dtk6
  * doc: update docs for dcombobox
    Thanks to Skye-rs(Issue: #94, #1773136810)
  * doc: A small change to Dcombobox
    Thanks to Skye-rs
  * doc: update docs for dsuggestbutton
    Thanks to homehome(Issue: #94)
  * doc: update docs for dwaterprogress
    Thanks to homehome(Issue: #94)
  * doc: update docs for dbaseexpand
    Thanks to syn(Issue: #94)
  * doc: update docs for diconbutton
    Thanks to syn(Issue: #94)
  * doc: update docs for dipv4lineedit
    Thanks to Skye-rs(Issue: #94, #1773136810)
  * doc: update docs for dbuttonbox
    Thanks to LyYeeeYuwu(Issue: #94)
  * fix: remove ut to support DTK6.0
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * doc: update docs for dwarningbutton
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dframe
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dtoolbutton
    Thanks to Skye-rs(Issue: #94)
  * fix: the 'ValueChanged' signal was never emitted in dcircleprogress
    Thanks to homehome
  * doc: update docs for dspinbox
    Thanks to syn(Issue: #94)
  * doc: update docs for dsearchedit
    Thanks to LyYeeeYuwu(Issue: #94)
  * doc: update docs for dbaseline
    Thanks to homehome(Issue: #94)
  * doc: update docs for dcoloredprogressbar
    Thanks to homehome(Issue: #94)
  * doc: update docs for dprogressbar
    Thanks to LyYeeeYuwu(Issue: #94)
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * doc: update docs for dmessagemanager
    Thanks to homehome(Issue: #94)
  * Revert "fix: 修改内存泄露问题"
  * fix: fix memory leak in danchors.cpp
  * fix: to fix unused qrc file in UT
  * feat: add some UT
  * doc: update docs for dtextedit
    Thanks to LyYeeeYuwu(Issue: #94)
  * fix: fix the bug of the test-recoverage.sh
  * chore: deprecate dhidpihelper

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:38 +0000

dtkwidget (5.6.13) unstable; urgency=medium

  * chore: change the text of the title on licensedialog
  * chore: Add properties about license in dapplication interface
  * chore: Change the text of the title in dlicensedialog
  * fix: 修改分屏菜单位置错误(Bug: 199083)(Influence: 锁屏界面/任务栏等网络插件窗口显示,窗口分屏提示窗口)
  * fix: abnormal font size(Issue: #17)
  * chore: update translations abouut license
  * fix: DApplication casting error
  * fix: TextEdit color group not update(Bug: 196603)
  * feat(build): support Qt6
  * feat(lib): support Qt6
  * feat(others): support Qt6

