## dtk6widget 6.0.21

=== debian/changelog ===
dtk6widget (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:09:01 +0800

dtk6widget (6.0.19) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000
