=== debian/control ===
Source: dtk6widget
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 libudev-dev,
 libxext-dev,
 qt6-tools-dev-tools,
 qt6-tools-dev,
 x11proto-xext-dev,
 libxcb-util0-dev,
 libstartup-notification0-dev,
 libmtdev-dev,
 qt6-base-private-dev,
 libegl1-mesa-dev,
 libudev-dev,
 libfontconfig1-dev,
 libfreetype-dev,
 libglib2.0-dev,
 libxrender-dev,
 libgsettings-qt-dev,
 qt6-svg-dev,
 libxi-dev,
 libcups2-dev,
 libgtest-dev,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdtkcommon-dev,
 cmake,
 doxygen
Standards-Version: 3.9.8

Package: libdtk6widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkdata
Multi-Arch: same
Description: deepin graphical user interface library
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains the shared libraries.

Package: libdtk6widget-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6widget (= ${binary:Version})
Description: deepin graphical user interface library utilities
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains the utilities which are
 needed for developing deepin applications.

Package: libdtk6widget-dev
Architecture: any
Depends: ${misc:Depends}, libdtk6widget (= ${binary:Version}),
 libdtk6core-dev,
 libdtk6gui-dev
Description: deepin graphical user interface library
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains the header files and static libraries which are
 needed for developing deepin applications.

Package: dtk6widget-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6widget (= ${binary:Version}), libdtkdata
Description: dtkwidget-examples is generated by dtkwidget.
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing deepin applications.

Package: libdtk6widget-doc
Build-Profiles: <!nodoc>
Architecture: any
Description: deepin graphical user interface library (Document)
 DtkWidget is deepin graphical user interface for deepin desktop development.
 .
 This package contains example application which are
 needed for developing deepin applications.
