## dtk6widget 6.0.25

=== debian/changelog ===
dtk6widget (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 13:27:46 +0800

dtk6widget (6.0.24.1) unstable; urgency=medium

  * release 6.0.24.1

 -- Mike Chen <chenke@deepin.org>  Mon, 09 Dec 2024 18:40:59 +0800

dtk6widget (6.0.24) unstable; urgency=medium

  * 6.0.24

 -- Wang Fei <wangfei@deepin.org>  Wed, 04 Dec 2024 10:26:30 +0800

dtk6widget (6.0.23) unstable; urgency=medium

  * 6.0.23

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Nov 2024 16:44:48 +0800

dtk6widget (6.0.22) unstable; urgency=medium

  * 6.0.22

 -- Wang Fei <wangfei@deepin.org>  Wed, 13 Nov 2024 16:09:19 +0800
