## dtk6widget 6.0.34

=== examples/CMakeLists.txt ===
add_subdirectory(collections)
add_subdirectory(PrintPreviewSettingsPlugin)
