=== debian/changelog ===
dtk6widget (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget
  * sync: from linuxdeepin/dtkwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:24 +0800
