## dtk6widget 6.0.39

=== debian/changelog ===
dtk6widget (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:35 +0800
